Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.compress.compressors.gzip
Class GzipCompressorOutputStream

    java.lang.Object
      java.io.OutputStream
          org.apache.commons.compress.compressors.CompressorOutputStream
              org.apache.commons.compress.compressors.gzip.GzipCompressorOutputStream

All Implemented Interfaces:
  Closeable, Flushable

    public class GzipCompressorOutputStream

extends CompressorOutputStream

Constructor Summary
`GzipCompressorOutputStream(OutputStream outputStream)`

Method Summary
`void` | `close()`
`void` | `write(byte[] b)`
`void` | `write(byte[] b, int from, int length)`
`void` | `write(int b)`

Methods inherited from class java.io.OutputStream
`flush`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GzipCompressorOutputStream

    public GzipCompressorOutputStream(OutputStream outputStream)
                               throws IOException

Throws:
  `IOException`

Method Detail

### write

    public void write(int b)
               throws IOException

  Specified by:
    `write` in class `OutputStream`
  Throws:
    `IOException`

### write

    public void write(byte[] b)
               throws IOException

  Overrides:
    `write` in class `OutputStream`
  Throws:
    `IOException`
  Since:
    Apache Commons Compress 1.1

### write

    public void write(byte[] b,
                      int from,
                      int length)
               throws IOException

  Overrides:
    `write` in class `OutputStream`
  Throws:
    `IOException`
  Since:
    Apache Commons Compress 1.1

### close

    public void close()
               throws IOException

  Specified by:
    `close` in interface `Closeable`
  Overrides:
    `close` in class `OutputStream`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 The Apache Software Foundation. All Rights Reserved.